--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Method called to flush the registry, thus ensuring that the botmodule's permanent data is committed to disk
full_name: Irc::Bot::Plugins::BotModule#flush_registry
is_singleton: false
name: flush_registry
params: ()
visibility: public
